# -*- coding: utf-8; -*-
#
# (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
# (c) 2007-2012 Mandriva, http://www.mandriva.com
#
# This file is part of Mandriva Management Console (MMC).
#
# MMC is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# MMC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with MMC.  If not, see <http://www.gnu.org/licenses/>.

"""
MMC services plugin configuration
"""

from mmc.support.config import PluginConfig


class ServicesConfig(PluginConfig):
    def readConf(self):
        PluginConfig.readConf(self)
        self.journalctl_path = self.get("main", "journalctl_path")
        self.services = {}
        for plugin, services in self.items("plugins"):
            self.services[plugin] = services.split(",")
        try:
            self.blacklist = self.get("main", "blacklist").split(",")
        except:
            self.blacklist = []
